Bug 1252728 - [QE] Incorrect option for decryption in description of Ldap Login Module Option's jaasSecurityDomain
[QE] Incorrect option for decryption in description of Ldap Login Module Opt...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: EAP 6.4.3
Assigned To: Priyanka Nag
FIlip Bogyai
https://access.stage.redhat.com/docum...
: Documentation, EasyFix, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-12 03:29 EDT by FIlip Bogyai
Modified: 2015-12-01 00:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:58:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FIlip Bogyai 2015-08-12 03:29:24 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: 4.2. LDAP LOGIN MODULE

Issue description:
In description of LdapLoginModule option jaasSecurityDomain there is sentence:
"The JMX ObjectName of the JaasSecurityDomain to use to decrypt the java.naming.security.principal."
In the text java.naming.security.principal is wrongly used instead of java.naming.security.credentials.

Suggestions for improvement:
Replace java.naming.security.principal with java.naming.java.naming.security.credentials in text description of jaasSecurityDomain option.
Comment 3 Josef Cacek 2015-08-25 04:05:54 EDT
Verification failed.

The same problem is on one more place in the guide - section "9.6 LdapAttributeMappingProvider".
Comment 6 FIlip Bogyai 2015-09-01 04:24:40 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6890161" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.